#ifndef INCL_XSHADOW_H
#define INCL_XSHADOW_H

/*-----------------------------------------------------------------------
 * Xclasses header file
 * 
 * Copyright (C) 1998 Jürgen Schmitz
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *-----------------------------------------------------------------------
 */

#include <Xclasses/types.h>
#include <Xclasses/Xwindows.h>

class Xshadow : public Xwindows
{
	friend class pXshadow;

	class pXshadow *p;	

public:

	Xshadow(void);
	virtual ~Xshadow();

	int Create(Xwindows *);
	int Create(Xwindows &w) { return Create(&w); };
	void Destroy(void);

	void Move(int x,int y);
	void Move(int x,int y,int width,int height); // Move&Resize
	void Resize(int w,int h);

	void Open(void);
	void OpenU(void);	// calls Update()
	void Close(void);
	void CloseU(void);	// calls Update()
	void Raise(void);
	void Lower(void);
};

#endif
